gimp (3.0.4-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * plug-ins: Fix ZDI-CAN-27684 (CVE-2025-10920) (Closes: #1116458)
  * plug-ins: fix dicom plug-in ZDI-CAN-27863 (CVE-2025-10922)
    (Closes: #1116459)
  * plug-ins: fix ZDI-CAN-27878 (CVE-2025-10923) (Closes: #1116460)
  * plug-ins: Fix ZDI-CAN-27836 (CVE-2025-10924) (Closes: #1116461)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 29 Sep 2025 20:57:32 +0200

gimp (3.0.4-6) unstable; urgency=medium

  * Team upload
  * d/control: Replace transitional libgirepository1.0-dev B-D.
    This package uses the actual library, so replace it with the
    combination of gobject-introspection and libgirepository-1.0-dev.
  * d/control: Add missing gir1.2-*-dev B-D as reported by dh_girepository
  * d/control: Add ${gir:Depends} to -dev package
  * d/control: Use ${gir:Provides} instead of hard-coding it
  * d/copyright: Don't quote the FSF's former postal address here
  * d/libgimp-3.0-doc.links: Fix devhelp integration
  * d/libgimp-3.0-doc.doc-base.*: Register API documentation with doc-base

 -- Simon McVittie <smcv@debian.org>  Mon, 08 Sep 2025 14:31:58 +0100

gimp (3.0.4-5) unstable; urgency=medium

  * Remove obsolete Rules-Requires-Root: no field
  * Remove unnecessary X-Ubuntu-Langpack: yes field
  * Opt into Salsa CI but disable the reproducibility test

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Sep 2025 20:52:38 -0400

gimp (3.0.4-4) unstable; urgency=medium

  * Cherry-pick patch to switch from appstream-glib to appstream
  * Update Build-Depends: libappstream-glib-dev → libappstream-dev
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Aug 2025 20:11:21 -0400

gimp (3.0.4-3) unstable; urgency=high

  * plug-ins: ZDI-CAN-26752 mitigation for 32-bit (Closes: #1107758)
    - CVE-2025-2760

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 02 Jul 2025 10:46:57 -0400

gimp (3.0.4-2) unstable; urgency=medium

  * Set NO_AT_BRIDGE=1 for dh_auto_test
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 01 Jun 2025 12:57:17 -0400

gimp (3.0.4-1) experimental; urgency=medium

  * New upstream bugfix release
    https://www.gimp.org/news/2025/05/18/gimp-3-0-4-released/
  * Bump minimum babl and gegl
  * Remove remaining patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 May 2025 09:29:39 -0400

gimp (3.0.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * plug-ins: ZDI-CAN-26752 mitigation (Closes: #1105005)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 17 May 2025 14:05:55 +0200

gimp (3.0.2-3) unstable; urgency=medium

  * Team upload
  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 15:00:50 +0200

gimp (3.0.2-2) unstable; urgency=medium

  * Add Depends: python3-gi (Closes: #1096155)
  * Fix typo in gir1.2-gimp-3.0 package description (Closes: #1101747)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 20 Apr 2025 11:09:48 -0400

gimp (3.0.2-1) unstable; urgency=medium

  * New upstream bugfix release
    https://www.gimp.org/news/2025/03/23/gimp-3-0-2-released/
  * Bump minimum gegl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Mar 2025 09:11:20 -0400

gimp (3.0.0-2) unstable; urgency=medium

  * Add Depends: librsvg2-common (Closes: #1099419)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 14:36:50 -0400

gimp (3.0.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum babl & gegl
  * debian/libgimp-3.0-0.symbols: Update

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 09:53:40 -0400

gimp (3.0.0~RC3-1) unstable; urgency=medium

  * New upstream release
  * debian/libgimp-3.0-0.symbols: Add new symbols
  * Bump minimum gegl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 09 Feb 2025 21:12:06 -0500

gimp (3.0.0~RC2-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum gegl
  * debian/libgimp-3.0-0.symbols: Add new symbols
  * Use xvfb with dh_auto_test to run additional tests
  * Remove all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 27 Dec 2024 22:50:42 -0500

gimp (3.0.0~RC1-4) unstable; urgency=medium

  * Add gimp-data.postinst to clean up /etc/gimp/2.0/ (Closes: #1089406)
  * Cherry-pick more commits
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 11 Dec 2024 09:48:59 -0500

gimp (3.0.0~RC1-3) experimental; urgency=medium

  * Cherrypick many commits after 3.0.0 RC1
  * Have gimp depend on gir1.2-gimp-3.0, needed for several plugins
    (Closes: #1014420)
  * Add Build-Depends: dh-sequence-gir
  * Add Provides: ${gir:Provides} to -dev package
  * Have -dev package depend on libgexiv2-dev per pkgconf
  * Disable lua plugins as recommended by upstream
  * Disable the useless GJS plugin more thoroughly
  * Extend build test timeout (for riscv64) (Closes: #1088156)
  * Only build docs when building libgimp-3.0-doc
  * Update autopkgtest for gimp3
  * Closes: #651587, #862336, #918381, #967937, #1035523, #1078402

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 16:43:40 -0500

gimp (3.0.0~RC1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Build-Depends for babl, gegl and harfbuzz.
  * Adapt to install plugins and modules in the 3.0 versioned dir.
  * Update symlink origins for 3.0.
  * Enable lua and js plugins and add necessary build dependencies.
  * Add python-gi-dev to Build-Depends.
  * Adapt globbing install patterns to accept single digit minor versions.
  * Install new "-3" suffixed symlinks for various binaries.
  * Drop no longer built plugins and adapt for renamed ones.
  * Update symbols file to reflect numerous API changes.
  * Update changelog and release to experimental.
  * Replace dependency on pkg-config with pkgconf.
  * Replace libfreetype6-dev Build-Dep with libfreetype-dev.
  * Update Standards-Version to 4.7.0.

 -- Jordi Mallach <jordi@debian.org>  Thu, 07 Nov 2024 00:49:15 +0100

gimp (2.99.18-1) experimental; urgency=medium

  * New upstream release.
    - pasting from the clipboard creates a new image (closes: #1037239).
  * Bump versions for libheif, pango and gegl Build-Deps.
  * Stop using dh-sequence-gnome to generate debian/control.
  * Disable support for ilbm, as requirements are not available.
  * Add Build-Depends on libqoi-dev.
  * Install the file-qoi and file-farbfeld plugins.
  * Update symbols file.

 -- Jordi Mallach <jordi@debian.org>  Tue, 19 Mar 2024 02:17:38 +0100

gimp (2.99.16-2) experimental; urgency=medium

  * Temporarily disable building with LTO to work around #9633
  * debian/rules: Turn on auto features, but temporarily
    disable javascript & lua plugins
  * Disable mng plugin since libmng-dev in Unstable doesn't ship the .pc file
  * Revert "Temporarily drop the file-heif plugin"

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 05 Aug 2023 19:59:04 -0400

gimp (2.99.16-1) experimental; urgency=medium

  * New upstream release.
  * Bump minimal build versions for glib, exiv2 and gegl.
  * Drop test failure patch, which was included upstream.
  * Request meson feature support via "enabled" instead of "true".
  * Stop installing aclocal files, which are now gone.
  * Build-Dep on libcfitsoi-dev for rewritten fits support.
  * Temporarily drop the file-heif plugin.
  * Install the python plugins in the gimp package.
  * Update symbols file.
  * Switch fontconfig B-D to unversioned libfontconfig-dev.

 -- Jordi Mallach <jordi@debian.org>  Mon, 10 Jul 2023 23:54:08 +0200

gimp (2.99.14-2) experimental; urgency=medium

  * Increase test timeout to 60s, to maybe fix timeouts on armel.

 -- Jordi Mallach <jordi@debian.org>  Tue, 22 Nov 2022 10:10:55 +0100

gimp (2.99.14-1) experimental; urgency=medium

  * New upstream release.
  * Drop all patches taken from upstream git.
  * Update Build-Depends as per meson.build.
  * Stop generating links for gimp, gimp-console, gimp-test-clipboard and
    gimptool, they are again generated by the build system.
  * Install new plugin file-icns.
  * Install new symlink for gimp-debug-tool-?.??.
  * Drop both Hurd patches, gimp3 has no remaining references to PATH_MAX.
  * Update symbols file.
  * Unversion references to gimptool in README.Debian.

 -- Jordi Mallach <jordi@debian.org>  Mon, 21 Nov 2022 14:32:19 +0100

gimp (2.99.12-2) experimental; urgency=medium

  * Add additional unversioned links for gimp-script-fu-interpreter
    and gimp-test-clipboard.
  * Upload to experimental, to trigger a rebuild against new libgs-dev.

 -- Jordi Mallach <jordi@debian.org>  Tue, 08 Nov 2022 10:14:20 +0100

gimp (2.99.12-1) experimental; urgency=medium

  * Drop Build-Deps on webkitgtk, as that feature is unmaintained.
  * Merge changes from debian/master.
  * New upstream release
  * Build with Meson.
  * Drop the g-ir docs patch, not needed anymore.
  * Explicitly enable the non-gtk-binary build.
  * Drop now unneeded build-dep on intltool.
  * Add gimp and gimp-console links via dh_link, as those are not being
    generated by the build system.
  * Add jxl-metadata-import-export.patch from git to fix recent FTBFS
    with jpeg-xl >= 0.7.0.
  * Add patch from git to fix building with libheif 1.13.0+ (closes: #1021699).
  * Update install files to adapt to changes in new version.
  * Update symbols file.
  * Update a few paths in copyright file.
  * Also add a symlink for gimptool.

 -- Jordi Mallach <jordi@debian.org>  Thu, 13 Oct 2022 22:54:55 +0200

gimp (2.99.10-1) experimental; urgency=medium

  * New upstream release
  * Update Build-Depends as per configure.ac.
  * Watch for unstable versions.
  * Change debian-branch and upstream-branch to gimp3 and 3.x.
  * Refresh 02_hurd_ftbfs.patch.
  * Fix references to gimp libdir "2.0" to reflect current "2.99".
  * Adapt packaging for soname bump to libgimp-3.0.
  * Switch from gtk-doc to gi-docgen.
  * Adapt install files for file renames and removals.
  * Add a gir1.2-gimp-3.0 binary for GObject Instrospection bindings.
  * Update symbols file.
  * Install libs and modules in multiarchified paths.
  * Install fractal-explorer examples to examples dir.
  * Drop dh_autoreconf override, --as-needed is the default nowadays.
  * Add luajit, python3 and gjs to Suggests, for plugins that require
    those interpreters.
  * Drop dh_shlibdeps override that avoided libasound2 dependencies.
    This workaround was included in gimp 2.2.4-2 in 2005; since then,
    all Debian installs running gimp are most probably pulling in
    ALSA libs anyway.
  * Temporarily add Build-Deps on libhwy-dev, libbrotli-dev and
    liblcms-dev until libkxl-dev pulls them in as it should.
  * Add the file-jpegxl plugin to the installed.
  * Split out gimptool-2.99 to a new libgimp-3.0-bin binary package.
  * Pass --enable-g-ir-doc to build GObject Instropection docs.
  * Add Build-Dep on yelp-tools for the above.
  * Add patch to fix doc syntax errors for gimp_procedure_add_menu_path.
  * Install g-ir-docs via libgimp-3.0-doc.docs, as the build system does
    not install the generated documentation.
  * Add upstream metadata.
  * Mark -dev package as Multi-Arch: same.
  * Update Standards-Version to 4.6.1.

 -- Jordi Mallach <jordi@debian.org>  Mon, 16 May 2022 16:30:53 +0200

gimp (2.10.38-2) unstable; urgency=medium

  * Cherry-pick patch to fix build with gcc-14 (Closes: #1074998)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 26 Jul 2024 14:26:20 -0400

gimp (2.10.38-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 07 May 2024 10:06:51 -0400

gimp (2.10.36-3) unstable; urgency=medium

  [ Lukas Märdian ]
  * Rename libraries for 64-bit time_t transition (Closes: #1062125)

  [ Jeremy Bícha ]
  * Build-depend on dpkg-dev (>= 1.22.5)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Mar 2024 17:37:14 -0500

gimp (2.10.36-2) unstable; urgency=medium

  [ Jarred Wilson ]
  * Add upstream metadata

  [ Jeremy Bícha ]
  * Add Conflicts/Replaces: gimp-dds. Thanks to Adrian Bunk (Closes: #1057149)
  * Stop using debian/control.in and dh-sequence-gnome
  * Remove an obsolete maintscript entry
  * Bump Standards-Version to 4.6.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 30 Nov 2023 13:21:31 -0500

gimp (2.10.36-1) unstable; urgency=medium

  * New upstream release
    - Fixed vulnerabilities (Closes: #1055984):
      + CVE-2023-44441, ZDI-23-1592, ZDI-CAN-22093
      + CVE-2023-44442, ZDI-23-1594, ZDI-CAN-22094
      + CVE-2023-44443, ZDI-23-1593, ZDI-CAN-22096
      + CVE-2023-44444, ZDI-23-1591, ZDI-CAN-22097

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 15 Nov 2023 07:31:56 -0500

gimp (2.10.34-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in: Bump minimum gegl to 0.4.38
  * debian/control.in: Build-Depend on libjxl-dev
  * debian/libgimp2.0.symbols: Add new symbols

  [ Simon McVittie ]
  * d/control.in: Drop compatibility with old libgdk-pixbuf2.0-dev package

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Mar 2023 19:34:30 -0500

gimp (2.10.32-1) unstable; urgency=high

  * New upstream release (LP: #1982422)
    - Includes crash fixes CVE-2022-30067 and CVE-2022-32990
  * debian/control.in: Bump minimum gegl to 0.4.36
  * debian/libgimp2.0.symbols: Add new symbol

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 01 Aug 2022 09:39:35 -0400

gimp (2.10.30-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum gegl to 0.4.34
  * debian/libgimp2.0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 27 Dec 2021 22:47:46 -0500

gimp (2.10.28-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Clean up a bit

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 19 Sep 2021 12:56:47 -0400

gimp (2.10.26-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum gegl to 0.4.32
  * Drop two app patches applied in new release
  * debian/gimp-data.install: .mo files for tips file are no longer installed

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 09 Sep 2021 20:02:59 -0400

gimp (2.10.24-2) unstable; urgency=medium

  * Include epoch in dependencies on babl & gegl

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Jul 2021 21:31:03 -0400

gimp (2.10.24-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum gegl to 0.4.30

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Jul 2021 15:01:24 -0400

gimp (2.10.22-4) unstable; urgency=medium

  * Team upload

  [ Laurent Bigonville ]
  * Drop debian/shlibs.local, not needed anymore.
    This file has the adverse effect of lowering the required version of
    libbabl-0.1-0. The library now ships a .symbols file with
    Build-Depends-Package, so let dh_shlibs adjust the dependency version
    automatically (Closes: #983568)

  [ Simon McVittie ]
  * d/p/app-Print-2-digit-LittleCMS-minor-versions-correctly.patch:
    Print 2-digit lcms minor versions correctly. Related to #900819, #986192.
  * d/p/app-Don-t-second-guess-the-dependency-system.patch:
    Don't require lcms runtime version >= compile-time version.
    If no new symbols referenced by GIMP have been introduced (as is the
    case when upgrading from 2.9 to 2.12~rc1), we only need a dependency
    on version 2.9. (Closes: #900819, #986192)
  * d/p/*_hurd_ftbfs.patch: Add patch metadata

 -- Simon McVittie <smcv@debian.org>  Sat, 03 Apr 2021 23:21:59 +0100

gimp (2.10.22-3) unstable; urgency=medium

  * debian/control.in: Add graphviz to the dependencies.
    Some optional functionality of libgegl used in gimp now requires the dot
    executable shipped in the graphviz package (Closes: #985317)
  * debian/patches/02_hurd_ftbfs.patch: Fix FTBFS on hurd-i386.
    Thanks to Svante Signell <svante.signell@gmail.com> (Closes: #934077)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 20 Mar 2021 12:21:08 +0100

gimp (2.10.22-2) unstable; urgency=medium

  * Team upload
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev.
    We don't need the deprecated Xlib integration that is also pulled in
    by the older libgdk-pixbuf2.0-dev package (see #974870).
  * Remove hard-coded dependency on libgdk-pixbuf2.0-0.
    We can (and do) get a newer versioned dependency from dpkg-shlibdeps.
  * Mark libgimp2.0 as Multi-Arch: same

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Nov 2020 09:25:51 +0000

gimp (2.10.22-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum gegl to 0.4.26
  * Drop build-Prefer-to-find-libwmf-using-pkg-config.patch:
    - Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 06 Oct 2020 19:56:10 -0400

gimp (2.10.20-2) unstable; urgency=medium

  * Team upload
  * Correct bug number in previous changelog entry
    (was #956183, should have been #956200)
  * d/tests/libgimp2.0-dev: Fix autopkgtest (Closes: #970876)

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Sep 2020 22:41:03 +0100

gimp (2.10.20-1) unstable; urgency=medium

  * New upstream release
  * Update build-dependencies as per configure.ac
  * d/copyright: Update
  * Remove build-dependency on deprecated libdbus-glib-1-dev.
    This has been unnecessary since 2013 (Closes: #955842)
  * Set Rules-Requires-Root to no
  * d/tests: Add a superficial test for the -dev package
  * Use debhelper compat level 13.
    This lets us use variables in .install files, among other useful things.
  * Install pkg-config metadata in multiarch location.
    This should be sufficient to make *some* dependent packages
    cross-compile. Packages that need to run gimptool-2.0 during build
    will still not cross-compile, unless they are able to run
    host-architecture executables, for example via qemu.
    Thanks to Helmut Grohne (Closes: #872424)
  * Install shared libraries in multiarch locations.
    This should in principle allow loading plugins (which are executables)
    from foreign architectures, although it will not allow loading foreign
    modules (which are dlopen'ed).
    I'm deliberately not changing the ${libdir} at this stage, because gimp
    seems to treat the plugin directories derived from the ${libdir} as
    configuration parameters that might be saved in user configuration, so
    modifying plugin-loading code to look in /usr/lib in addition to
    /usr/lib/${multiarch} will not necessarily be effective.
    (Closes: #737725)
  * Add patch to use pkg-config in preference to libwmf-config
    (Closes: #956200)

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Sep 2020 22:28:47 +0100

gimp (2.10.18-1) unstable; urgency=medium

  * New upstream release (Closes: #954143)
  * Bump minimum libbabl-dev to 0.1.74 & libgegl-dev to 0.4.22
  * Bump minimum libmypaint-dev to 1.14
  * Disable automatic update checking since the distro handles that
  * debian/libgimp2.0.symbols: Add new symbols
  * Drop the 3 backported patches applied in the new release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 29 Mar 2020 01:27:45 -0400

gimp (2.10.14-3) unstable; urgency=medium

  * Team upload
  * d/p/Don-t-crash-when-a-plugin-defines-an-invalid-property-nam.patch:
    Apply patch from upstream 2.10.16 release. If a plugin defines an
    invalid property name, don't use that plugin instead of crashing.
    (Closes: #953880, #953854, #953794, LP: #1857254)
  * d/p/Fix-invalid-property-name-in-pagecurl-plugin.patch:
    Apply patch from upstream 2.10.16 release to fix an invalid property
    name in the pagecurl plugin. GLib 2.64 validates property names
    in line with rules that were previously only in the documentation.

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Mar 2020 12:01:32 +0000

gimp (2.10.14-2) unstable; urgency=medium

  * d/p/Add-missing-lm-to-file-psd-plug-in.patch: Cherry pick FTBFS fix for
    armhf
  * rules: Explicitly disable the xvfb tests. They were implicitly disabled
    before by the lack of a BD, let's make it consistent.

 -- Iain Lane <laney@debian.org>  Thu, 21 Nov 2019 17:54:45 +0000

gimp (2.10.14-1) unstable; urgency=medium

  * New upstream release (Closes: #923291, #943731)
  * Bump minimum libbabl-dev to 0.1.72), libgegl-dev to 0.48
    & libheif-dev to 1.3.2
  * debian/gimp.install: Update
  * debian/libgimp2.0.symbols: Update

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 09 Nov 2019 20:33:53 -0500

gimp (2.10.12-1) unstable; urgency=medium

  * New upstream release
  * Drop gimp-python because it depends on pygtk and Python2
    (Closes: #885289, #936611)
  * Bump minimum babl to 0.1.66 and gegl to 0.4.16
  * debian/libgimp2.0.symbols: Add new symbols
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 27 Oct 2019 09:39:34 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libgimp-3.0-0`.
